Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227559 - Guake is a drop-down terminal for Gnome
Summary: Guake is a drop-down terminal for Gnome
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Low enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://guake-terminal.org/
Whiteboard: [sunrise-overlay]
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2008-06-16 18:06 UTC by Isakov Alexandr
Modified: 2010-04-14 12:23 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild (guake-0.2.2.ebuild,506 bytes, text/plain)
2008-06-16 18:11 UTC, Isakov Alexandr
Details
Improved version (guake-0.2.2.ebuild,481 bytes, text/plain)
2008-07-12 11:26 UTC, Isakov Alexandr
Details
guake-0.3.ebuild (guake-0.3.ebuild,558 bytes, text/plain)
2008-07-21 11:16 UTC, René 'Necoro' Neumann
Details
New version (guake-0.3.ebuild,649 bytes, text/plain)
2008-07-22 18:24 UTC, Isakov Alexandr
Details
version bump guake-0.3.1.ebuild (guake-0.3.1.ebuild,973 bytes, text/plain)
2009-03-28 13:18 UTC, Artur Kruszewski
Details
ebuild for guake-0.4.0 (guake-0.4.0.ebuild,969 bytes, text/plain)
2009-04-17 22:52 UTC, Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Isakov Alexandr 2008-06-16 18:06:47 UTC
Like tilda but work better
Comment 1 Isakov Alexandr 2008-06-16 18:11:49 UTC
Created attachment 157121 [details]
Ebuild
Comment 2 Isakov Alexandr 2008-07-12 11:26:24 UTC
Created attachment 160187 [details]
Improved version

RDEPEND removed
EAPI=1 added
DEPEND on slots
Comment 3 René 'Necoro' Neumann 2008-07-21 10:59:47 UTC
It needs the gconf python module =)

% guake
Traceback (most recent call last):
  File "/usr/lib/guake/guake.py", line 30, in <module>
    import gconf
ImportError: No module named gconf

And ... perhaps you should sync the ebuild in the sunrise overlay with the one in this bug :)
Comment 4 René 'Necoro' Neumann 2008-07-21 11:16:40 UTC
Created attachment 160992 [details]
guake-0.3.ebuild

Here is an ebuild with corrected deps.
It is the one, I can currently find in sunrise - a little different from the last one attached here
Comment 5 Eric Smith 2008-07-22 17:10:04 UTC
I got the following error when I tried to emerge guake-0.3.ebuild:
configure: error: cannot import Python module "vte".
    Please check if you have python-vte installed. The error was:
    No module named vte

I needed to recompile x11-libs/vte with the python use flag.  Maybe you should have a check for this in the ebuild?
Comment 6 Isakov Alexandr 2008-07-22 18:24:19 UTC
Created attachment 161116 [details]
New version

Fixed dependencies.
Add check for x11-libs/vte python USE flag.
Rename internal variable.
Comment 7 Gilles Dartiguelongue gentoo-dev 2008-11-30 11:15:31 UTC
align ebuild requests to same values
Comment 8 Artur Kruszewski 2009-03-28 13:18:39 UTC
Created attachment 186540 [details]
version bump guake-0.3.1.ebuild
Comment 9 Simon 2009-04-17 22:52:11 UTC
Created attachment 188748 [details]
ebuild for guake-0.4.0

changed the old ebuild to new download path for 0.4.0 release...
i used the old deps undchecked, anyway this ebuild works for me and i feel the improvement to the 0.3.x series :)
Comment 10 Francisco Jose Perez Pascual 2009-05-07 12:14:42 UTC
Good Day:
Ive installed guake on a gentoo amd64 system and it works great, 

Im not sure if it is the correct place to tell this (sorry if it is not). Im not sure if i have to attach some aditional info to this comment. (thats my first colaboration related to an ebuild n_nU)

Thanks for the ebuild and sorry for the inconveniences ^^U
Comment 11 Tim Jones 2009-05-27 02:29:40 UTC
missing dependency on dev-python/dbus-python
Comment 12 Nao Nakashima 2010-02-08 07:20:05 UTC
Home page and git URI fixed in overlay.
Added missing dev-python/dbus-python dependency to -9999.ebuild.
(http://overlays.gentoo.org/proj/sunrise/changeset/9993)

Should "InOverlay" keyword needs to be added?
Comment 13 Samuli Suominen gentoo-dev 2010-04-14 12:23:37 UTC
0.4.1 in portage